package mfer

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestPathHiddenFunc(t *testing.T) {
	assert.False(t, pathIsHidden("/a/b/c/hello.txt"))
	assert.True(t, pathIsHidden("/a/b/c/.hello.txt"))
	assert.True(t, pathIsHidden("/a/.b/c/hello.txt"))
	assert.True(t, pathIsHidden("/.a/b/c/hello.txt"))
	assert.False(t, pathIsHidden("./a/b/c/hello.txt"))
}
